Subject: [TICTOC] Fw: Requirements draft - call for assistance

From: [email-masked]
Date: Tue, 21 Oct 2008 08:34:09 -0400

All,

I have made a revision for the requirements specification. I got feedback 
from several members  for the wireless and CES applications, so I have put 
those requirements in the draft document. I also have updated the table 
based on the discussion we had in Dublin.

I am trying to send it to the list, but it is not working. Does the TICTOC 
list allow attachments? I am sure I have sent attachment in the past, but 
it is not working at this time.

Thanks,

Silvana

Yaakov Stein <[email-masked]> 
Sent by: [email-masked]
09/18/2008 01:20 AM

To
"[email-masked]" <[email-masked]>
cc

Subject
[TICTOC] Requirements draft - call for assistance

Hi all, 
 
Yesterday the chairs and Silvana, who is co-editor of the requirements 
draft,
discussed the progress of this draft.
 
The requirements draft tries to cover quite a number of areas for which 
timing is relevant,
and while there has been significant participation from the cellular and 
TDM PW communities, 
there has been inadequate input on most of the other areas.
 
In particular, for the areas 
   * industrial applications
   * test and measurement
   * electric power and teleprotection
we have no data other than that "pulled out of the air" at the Paris 
meeting,
and no one has expressed interest in providing insights into their 
requirements.
 
On the one hand TICTOC needs to consider all of the applications that will 
need to distribute timing, 
but on the other hand if groups with interest in particular applications 
do not join in the effort,
we will not be able to produce a meaningful document.
 
Please consider this email as a call for participation for the 
aforementioned areas.
If you are working or interested in them, please send an email to the 
list.
If you know people who are, please forward this email to them.
 
If we do not receive input that we believe reliably reflects the 
requirements of these areas,
we will have to drop them from the document, and thus remove them from 
consideration
while working on solutions.
 
Y(J)S

 _______________________________________________
TICTOC mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/tictoc

_______________________________________________
TICTOC mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/tictoc

---

From: Danny Mayer <[email-masked]>
Date: Sat, 25 Oct 2008 19:09:46 -0400

> and no one has expressed interest in providing insights into their

I second this request. One of the things I struggle with is the
difference between what people say they want and what are the
consequences of not getting what they say they want. I have yet to see
that written down anywhere and I don't have funding to get to the meetings.

So in order to clarify the requirements I'd like to ask that for each
area they following questions be answered:
1) What timing requirements do they need, with upper limits to accuracy
in offset, jitter, frequency, phase, etc.
2) What are the consequences if they cannot get the requirements requested?
3) What can they achieve today?
4) Give at least one example of an application/infrastructure that exist
 today and what it will be able to do tomorrow if it is able to achieve
the specified requirements.

I don't see any way of going forward at a practical level with these
requirements without an understanding of this.

Danny

> On the one hand TICTOC needs to consider all of the applications that
> will need to distribute timing,
> If you are working or interested in them, please send an email to the list.
> we will have to drop them from the document, and thus remove them
> from consideration

---

From: Danny Mayer <[email-masked]>
Date: Sat, 25 Oct 2008 21:38:38 -0400

[email-masked] wrote:
> Hi Yaakov,
> 
> I can comment on the electric power and instrumentation bit. Each power
> grid sub-station has a large number of monitoring devices. These devices
> historically have been served time via IRIG-B distributed time systems. The
> substations will typically have a gps receiver for time and 1pps to drive
> the IRIG generators. the backhaul networks are usually private circuit
> based networks. In past years many of these were on SNA or some other
> similar network. As these substations are upgraded they are being
> implemented with local LAN's and will have time distribution systems based
> on 1588 or ntp. This allows the removal of the IRIG systems. The backhaul
> networks can then be migrated to packet based with whatever access makes
> sense for each location. The time distribution systems are local to the
> substations.
> 
> In test and measurement the LXI forum, LAN extensions for Instrumentation,
> has mandated the use of 1588 for compliance. Again this is a local time
> distribution paradigm with a local time source.

I'd be interested in understand why 1588 was mandated for compliance.
There's nothing wrong, per se, with that, but understanding the
rationale would be helpful. Information on the error budget requirements
 and frequency, jitter, etc. would be also be useful. Given the mandate
what would TICTOC offer that would improve on that and how?

> 
> Many of the "time" based event correlation systems use a local source of
> time, typically gps, for time stamps. This is then sent in non-real time to
> the monitoring systems for overall system correlation processing. I agree
> with your thought that most of these are not applicable to the TICTOC work.
> 

What is being captured and what accuracy is required for these results?

Danny
> Hopefully this info is helpful.
> 
> Pat